# Execute Browser feature decisions Zephr HTML Features can be run in the browser by calling this API directly or using the Zephr Browser SDK. For compatibility with CDN, any web headers (Referrer, User-Agent) will be accepted and passed onto the rule engine. Endpoint: POST /zephr/feature-decisions Version: 2025-07-30 Security: CookieBlaizeSession, JwtQuery, JwtHeaderXBlaizeJwt, JwtHeaderXZephrJwt, JwtBearer, JwtCookie ## Header parameters: - `Cookie` (string) The session cookie. Example: "blaize_session=..." ## Request fields (application/json): - `featureIds` (array, required) Array of HTML Feature IDs Example: ["featureX"] - `session` (string) Zephr Session ID Example: "xxx-xxx-xxx" - `referer` (string) Browser referer Example: "https://www.zephr.com/" - `path` (string) Request path, defaults to "/". If available, include the content ID as a query parameter. For example, /story.html?content_id=abc-123. Example: "/x.html" - `content_metadata` (object) Example: {"content_id":"xxx-xxx-xxx"} - `content_metadata.content_id` (string) Content ID, used to perform requests to a 3rd party API for additional content information used in making a decision. Example: "xxx-xxx-xxx" - `giftToken` (string) Token to provide access to content for one session. Example: "xxx-xxx-xxx" - `jwt` (string) A Json Web Token, may include identity or product holding claims. Example: "xxx-xxx-xxx" - `customData` (object) Custom data to be used in Feature HTML browser rule. Accepts a JSON object. Example: {"key":"value"} ## Response 200 fields (application/json): - `featureResults` (object) Map of HTML Feature IDs and feature result transformations. - `featureResults.featureX` (string) Feature result transformations Example: "blaize.transform.resource('...')" - `resources` (object) Map of transformation resources - `resources.forms` (object) Forms used in feature results. - `resources.paymentForms` (object) Payment Forms used in feature results. - `resources.uiComponents` (object) Example: "

Example

" - `resources.hostedUiComponents` (object) Hosted UI Components used in feature results. - `resources.componentTemplates` (object) Component Templates used in feature results. - `accessDetails` (object) Feature access details - `accessDetails.authenticated` (boolean) Is the session authenticated - `accessDetails.accessDecisions` (object) - `accessDetails.entitlements` (object) Map of meter usage - `accessDetails.entitlements.usedInDecision` (boolean) - `accessDetails.entitlements.decrementedInDecision` (boolean) - `accessDetails.credits` (object) Map of meter usage - `accessDetails.credits.totalCredits` (number) - `accessDetails.credits.remainingCredits` (number) - `accessDetails.meters` (object) Map of meter usage - `accessDetails.trialTrackingDetails` (array) Array of trial tracking details - `accessDetails.trials` (object) Map of trial usage - `accessDetails.trials.tracker` (string) - `accessDetails.trials.reportInDataLayer` (boolean) - `accessDetails.trials.dataLayerCreditsUsedKey` (string) - `accessDetails.trials.dataLayerCreditsRemainingKey` (string) - `accessDetails.timeTrials` (object) Map of time trial usage - `accessDetails.timeTrials.trialDurationUnits` (string) - `accessDetails.timeTrials.trialDuration` (number) - `accessDetails.timeTrials.entryTime` (string) - `accessDetails.timeTrials.trackerHits` (number) - `accessDetails.timeTrials.timeRemainingInTrial` (number) - `accessDetails.timeTrials.dataLayerTrialDurationKey` (string) - `accessDetails.timeTrials.dataLayerTrialDurationUnitsKey` (string) - `accessDetails.timeTrials.dataLayerTrackerEntryTimeKey` (string) - `accessDetails.timeTrials.dataLayerTrackerHitsKey` (string) - `accessDetails.timeTrials.dataLayerTrialTimeRemainingKey` (string) - `accessDetails.timeTrials.activeInDecision` (boolean) - `accessDetails.testGroups` (object) - `accessDetails.activeProducts` (array) Array of user's active products